summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_setup_fdroid_build_environment.sh
diff options
context:
space:
mode:
authorHans-Christoph Steiner <hans@eds.org>2017-02-14 13:07:55 +0100
committerHolger Levsen <holger@layer-acht.org>2017-02-14 17:06:37 +0100
commit1dc921c4b7899502de087f29871698f77603c20f (patch)
treebca7a4be4ad129429a48ba8f31c69461458fcc2b /bin/reproducible_setup_fdroid_build_environment.sh
parentc870a7ba5a613324fee3bc60ceb055754e7d9013 (diff)
downloadjenkins.debian.net-1dc921c4b7899502de087f29871698f77603c20f.tar.xz
reproducible fdroid: allow `sudo /bin/chmod -R a+rX /var/lib/libvirt/`
In order to convert the QEMU/KVM image to a vagrant box, we need to read the file directly. But that dir usually only lets root read the images. Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/reproducible_setup_fdroid_build_environment.sh')
-rwxr-xr-xbin/reproducible_setup_fdroid_build_environment.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/bin/reproducible_setup_fdroid_build_environment.sh b/bin/reproducible_setup_fdroid_build_environment.sh
index efdeddd2..51181885 100755
--- a/bin/reproducible_setup_fdroid_build_environment.sh
+++ b/bin/reproducible_setup_fdroid_build_environment.sh
@@ -36,6 +36,9 @@ if systemd-detect-virt -q ; then
else
echo "No virtualization is used."
fi
+sudo /bin/chmod -R a+rX /var/lib/libvirt/
+ls -ld /var/lib/libvirt
+ls -l /var/lib/libvirt || echo no access
cat /etc/issue
# the way we handle jenkins slaves doesn't copy the workspace to the slaves